/*
 *    SPEED - by Shawn Hargreaves, 1999
 *
 *    Global defines.
 */

#ifndef __SPEED_H__
#define __SPEED_H__


/* global state variables */
extern int cheat;
extern int score;


/* from title.c */
int title_screen();
void show_results();
void goodbye();


/* from view.c */
void init_view();
void shutdown_view();
void update_view();
void draw_view(BITMAP *bmp);
int next_view();


/* from player.c */
void init_player();
void shutdown_player();
int update_player();
void draw_player(BITMAP *bmp, int r, int g, int b, void (*project)(float *f, int c));


/* from badguys.c */
void init_badguys();
void shutdown_badguys();
int update_badguys();
void draw_badguys(BITMAP *bmp, int r, int g, int b, void (*project)(float *f, int c));


/* from bullets.c */
void init_bullets();
void shutdown_bullets();
void update_bullets();
void draw_bullets(BITMAP *bmp, int r, int g, int b, void (*project)(float *f, int c));


/* from explode.c */
void init_explode();
void shutdown_explode();
void update_explode();
void draw_explode(BITMAP *bmp, int r, int g, int b, void (*project)(float *f, int c));


/* from message.c */
void init_message();
void shutdown_message();
void update_message();
void draw_message(BITMAP *bmp);



#endif   /* __SPEED_H__ */
